Bug 1559674 - Obsoletion of audit-libs-python not handled properly
Summary: Obsoletion of audit-libs-python not handled properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-23 01:40 UTC by Adam Williamson
Modified: 2018-04-01 19:05 UTC (History)
1 user (show)

Fixed In Version: audit-2.8.3-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-01 19:05:50 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Adam Williamson 2018-03-23 01:40:38 UTC
audit-libs-python appears to have been renamed to audit-libs-python2 only in Rawhide and F28, and a versioned obsolete added:

Obsoletes: audit-libs-python <= 2.8.2-2

however, that doesn't actually *work* very well, because the package continues to be updated to newer versions in F27, without the python subpackage being renamed. Current version for F27 is 2.8.3-1.fc27:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1056528

which has audit-libs-python-2.8.3-1.fc27 , which obviously won't be obsoleted properly on upgrade to F28/Rawhide.

Either the version constraint on the obsoletion needs to be changed somehow such that F27's package will never exceed it, or the rename needs to be done in F27 too, or something.

Comment 1 Fedora Update System 2018-03-26 21:31:32 UTC
audit-2.8.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c1484e4cd

Comment 2 Fedora Update System 2018-03-26 21:31:54 UTC
audit-2.8.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c1484e4cd

Comment 3 Steve Grubb 2018-03-26 21:34:34 UTC
OK. Missed that. Its now:

Obsoletes: audit-libs-python <= 2.8.3

and there won't be an audit-2.8.4.

Comment 4 Adam Williamson 2018-03-26 21:55:49 UTC
That does not look right. It looks to me like it will do one of two wrong things:

i) Obsolete itself
ii) *Not* obsolete 2.8.3-1.fc27

it depends on exactly what RPM considers to be 'equal' to 2.8.3, but neither of those seems correct to me. It doesn't seem very likely that it would consider 2.8.3-1.fc27 to be 'equal' to 2.8.3, but 2.8.3-2.fc28 to be 'greater than' 2.8.3, which would be the only outcome that would seem correct.

Comment 5 Steve Grubb 2018-03-27 14:17:05 UTC
Did you try it? It seems to work in my testing.

# rpm -q audit-libs-python
package audit-libs-python is not installed
[root@centaur ~]# dnf install audit-libs-python
Last metadata expiration check: 0:07:56 ago on Tue 27 Mar 2018 09:30:07 AM EDT.
Dependencies resolved.
=============================================================================================================================
 Package                             Arch                     Version                        Repository                 Size
=============================================================================================================================
Installing:
 audit-libs-python                   x86_64                   2.8.3-1.fc27                   updates                    82 k

Transaction Summary
=============================================================================================================================
Install  1 Package

Total download size: 82 k
Installed size: 337 k
Is this ok [y/N]: y
Downloading Packages:
audit-libs-python-2.8.3-1.fc27.x86_64.rpm                                                    120 kB/s |  82 kB     00:00
-----------------------------------------------------------------------------------------------------------------------------
Total                                                                                         57 kB/s |  82 kB     00:01
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                     1/1
  Installing       : audit-libs-python-2.8.3-1.fc27.x86_64                                                               1/1
  Verifying        : audit-libs-python-2.8.3-1.fc27.x86_64                                                               1/1

Installed:
  audit-libs-python.x86_64 2.8.3-1.fc27                                          

Complete!
[root@centaur ~]# dnf upgrade /home/sgrubb/working/RPMS/x86_64/audit-*
Last metadata expiration check: 0:08:07 ago on Tue 27 Mar 2018 09:30:07 AM EDT.
Package audit-libs-python2 not installed, cannot update it.
No match for argument: /home/sgrubb/working/RPMS/x86_64/audit-libs-python2-2.8.3-2.fc27.x86_64.rpm
Package audit-libs-python2-debuginfo not installed, cannot update it.
No match for argument: /home/sgrubb/working/RPMS/x86_64/audit-libs-python2-debuginfo-2.8.3-2.fc27.x86_64.rpm
Package audit-libs-python3-debuginfo not installed, cannot update it.
No match for argument: /home/sgrubb/working/RPMS/x86_64/audit-libs-python3-debuginfo-2.8.3-2.fc27.x86_64.rpm
Dependencies resolved.
=============================================================================================================================
 Package                            Arch                   Version                        Repository                    Size
=============================================================================================================================
Upgrading:
 audit                              x86_64                 2.8.3-2.fc27                   @commandline                 255 k
 audit-libs                         x86_64                 2.8.3-2.fc27                   @commandline                 112 k
 audit-libs-devel                   x86_64                 2.8.3-2.fc27                   @commandline                  81 k
 audit-libs-python3                 x86_64                 2.8.3-2.fc27                   @commandline                  82 k
Installing dependencies:
 audit-libs-python2                 x86_64                 2.8.3-2.fc27                   @commandline                  82 k
     replacing  audit-libs-python.x86_64 2.8.3-1.fc27

Transaction Summary
=============================================================================================================================
Install  1 Package
Upgrade  4 Packages

Total size: 613 k
Is this ok [y/N]:

Comment 6 Adam Williamson 2018-03-27 16:07:49 UTC
Nah, I was just reading it, and I realized I missed something important: of course the package name changed. Sorry, I was pretty scatterbrained yesterday!

I'd still be inclined to use "< 2.8.4" - I like to avoid ambiguity about questions like "does 2.8.3-1 'equal' 2.8.3?" - but if it works, it's fine, I guess.

Comment 7 Fedora Update System 2018-03-27 17:52:20 UTC
audit-2.8.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c1484e4cd

Comment 8 Fedora Update System 2018-04-01 19:05:50 UTC
audit-2.8.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.